Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class StructureDefHelper

    java.lang.Object
      |
      +--oracle.jbo.common.StructureDefHelper

public class StructureDefHelper
extends java.lang.Object
implements StructureDef

Internal: Applications should not use this class.

Field Summary
`protected AttributeDef[]` | `attributeList`
`protected java.util.Hashtable` | `attributes`

Constructor Summary
`StructureDefHelper()`

Method Summary
`AttributeDef` | `addDynamicAttribute(java.lang.String name, int index)`
`AttributeDef` | `addViewLinkAccessor(java.lang.String name, int index)`
`AttributeDef` | `findAttributeDef(java.lang.String name)` Gets an attribute definition, given its name.
`int` | `getAttributeCount()` Returns the number of defined attributes.
`AttributeDef` | `getAttributeDef(int index)` Gets an attribute definition, given its index.
`AttributeDef[]` | `getAttributeDefs()` Gets the defined attributes.
`protected AttributeDefHelper` | `getNewAttributeDefHelper()`
`void` | `removeViewLinkAccessor(AttributeDef accr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### attributes

    protected java.util.Hashtable attributes

### attributeList

    protected AttributeDef[] attributeList

Constructor Detail

### StructureDefHelper

    public StructureDefHelper()

Method Detail

### getAttributeDefs

    public AttributeDef[] getAttributeDefs()

  Description copied from interface: StructureDef
  Gets the defined attributes.
  Specified by:
    getAttributeDefs in interface StructureDef
  Tags copied from interface: StructureDef
  Returns:
    an array of attribute definitions.

### getAttributeCount

    public int getAttributeCount()

  Description copied from interface: StructureDef
  Returns the number of defined attributes.
  Specified by:
    getAttributeCount in interface StructureDef
  Tags copied from interface: StructureDef
  Returns:
    the number of attributes.

### findAttributeDef

    public AttributeDef findAttributeDef(java.lang.String name)

  Description copied from interface: StructureDef
  Gets an attribute definition, given its name.
  Specified by:
    findAttributeDef in interface StructureDef
  Tags copied from interface: StructureDef
  Parameters:
    `name` - the name of an `AttributeDef`.
  Returns:
    an attribute definition
  Throws:
    NoDefException - - if the attribute is not found.

### getAttributeDef

    public AttributeDef getAttributeDef(int index)

  Description copied from interface: StructureDef
  Gets an attribute definition, given its index.
  Specified by:
    getAttributeDef in interface StructureDef
  Tags copied from interface: StructureDef
  Parameters:
    `index` - the index of an `AttributeDef`, where the leftmost attribute has index zero.
  Returns:
    an attribute definition.

### getNewAttributeDefHelper

    protected AttributeDefHelper getNewAttributeDefHelper()

### addDynamicAttribute

    public AttributeDef addDynamicAttribute(java.lang.String name,
                                            int index)

### addViewLinkAccessor

    public AttributeDef addViewLinkAccessor(java.lang.String name,
                                            int index)

### removeViewLinkAccessor

    public void removeViewLinkAccessor(AttributeDef accr)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD